version 2.4.0 (08 Jul 2024)
- Rewrote user guide, thanks to David Seus (#58, #106, #169).
- Fixed "Underfull \hbox (badness 10000)" warning in \makecvtitle (#162).
- Fixed unnecessary academicons warning when academicons aren't used (#161).
- Fixed page counts unnecessarily linking to the last page of the PDF (#159).
- Added support for an optional signature in the cover letter (#157).
- Added support for non-ASCII characters in links (#155).
- Added option to force a homepage link to use HTTP rather than HTTPS (#154).
- Passed unicode option directly to hyperref to avoid conflicts with the
  inclusion of hyperref by other packages (#148).
- Fixed the sender block on the cover letter in banking style (#146).
- Added option to classic style to align header elements at the top (#144).
- Added Twitch, YouTube, TikTok, Instagram, SoundCloud, Steam, Xbox, PlayStation
  and Battle.net social icons (#131).
- Removed extra dash in PDF metadata when CV title is empty (#116).
- Added support for an optional subject line in the cover letter (#114).
- Added Discord social icon (#112).
- Replace instances of ~~~ in codebase with \hspace to be more compatible with
  babel for Spanish (#109).
- Added Codeberg and Mastodon social icons (#107).
- New \social options: arXiv, INSPIRE (#185)
- Systematize colors and make them user adjustable. See documentation for details.
  This requires the \moderncvcolor to be issued BEFORE \moderncvstyle (#151).
- all styles: make the head options 'details' and 'nodetails' available to the user. (previously they were hidden). Oldstyle does not respond too well to nodetails (#150).
- casual style: make the head options 'alternate', 'details' and 'nodetails' available to the user. (previously they were hidden) (#150).
- Setting \listitemsymbolspace allows custom spacing between list symbol and text item (for \cvlistitem and \cvlistdoubleitem) (#74).
- Introducing \cvtripleitem command for items in three columns. Closing feature request #174.
- Fixed wrong cvlistitem vspace caused by multiline section titles in fancy style (#69).

version 2.3.1 (21 Feb 2022)
- Fix duplicate GitLab icon (#105).
- Revert using detokenize in social links (#97).
- Fix broken compilation in classic style (#96).

version 2.3.0 (16 Dec 2021)
- Remove font loading from class (#87).
- Add Matrix and Signal icon (#84).
- Improved symbol loading (#84).

version: 2.2.0 (28 Jul 2021)
- Remove dot in \cventry when using moderncvbodyi.

- Remove http baseurl in hyperref.
- Change font encoding to use fontspec with Latin Modern for LuaTeX and XeTeX,
  else inputenc / fontenc / lmodern (https://tex.stackexchange.com/a/496643).
- Add birthdate field command.
- Add Social entries for WhatsApp, Signal and Matrix.
- Fix Researcher ID not showing (#29).
- Make options "symbols" and "nosymbols" available to all styles to toggle
  whether symbols should be used or not. Include symbols in oldstyle by default.
- Migrate older newcommand syntax in moderncvcollection.sty to xparse syntax.
- Fix resumé typo in template. Is now résumé.
- Various other minor fixes.

version 2.1.0 (21 Jan 2021)
- Maintainer change: now team maintained (https://github.com/moderncv), since
  original repository has been basically dead since 2016.
- New \social options: Xing, Skype, GitLab, Bitbucket, stack overflow, ORCID,
  ResearcherID, ResearchGate, Telegram and Google Scholar.
- Hyperlinks in phone numbers.
- Switch from l3regex to expl3.
- New skill matrix feature.
- Move to fontawesome5 package.
- Default to https.

version 2.0.0 (28 Jul 2015)
- Refactored the code into heads, body, foot and icon substyles. All styles
  (classic, casual, banking and oldstyle) are just a combination of these and
  some font selection. Mixing substyles (e.g., the banking header with the
  classic body) is now trivial by using the \moderncvhead, \moderncvbody,
  \moderncvfoot and \moderncvicons commands. Each of these take a substyle
  number as argument. \moderncvcolor takes a color name as argument.
- Added a new style: fancy.
- Added an optional argument to \moderncvstyle to specify style options, i.e.
  \moderncvstyle[options]{style}. Below is a list of the available options per
  style:
  * classic
    > to specify where at the top one's name should appear: "left" (default) or
      "right;
  * casual
    > to specify where at the top one's name should appear: "left" (default) or
      "right;
  * banking
    > to specify how the section and subsection rules should be set:
      "fullrules", "shortrules", "mixedrules" (default; full rules for sections,
      short rules for subsections), "centered" (fullrules with centered title)
      and "norules" (norules, small caps font);
    > to specify how the body should be aligned: left" (default), "center" or
      "right";
  * oldstyle & fancy
    > n/a
- Added a new color variant: "burgundy".
- Corrected \addressstyle color to match the one effectively used (color2).
- Adjusted the bibliography spacing to handle entries with or without labels.
- Added a check on the emptiness of \title when setting the hyperref document
  properties.

version 1.5.1 (29 Apr 2013)
- Made sure that XeTeX or LuaTeX is in use before loading the awesome icon set
  and if not, revert to the marvosym icon set.

version 1.5.0 (23 Apr 2013)
- Added a command to showcase social accounts in one's personal information:
  \social. The command currently handles LinkedIn, Twitter and Github accounts
  automatically, and other links can be provided explicitly.
- Added a new icon set: "awesome" (using the icons from the Font Awesome font).
- Set the "awesome" icon set as the default for the casual and banking styles
  (can be changed back with \moderncvicons{marvosym}).
- Forced all the icons of the "letters" icon set to be of the same width, for
  alignment purposes.
- Added a letter icon ("W") for the homepage of the "letters" icon set.
- Forced some whitespace between the main text and the footer of the casual
  style.
- Removed the rule below the headings of the cvcolumns environment.

version 1.4.0 (28 Mar 2013)
- Deprecated \phone, \mobile and \fax in favour of \phone[<type>], where <type>
  can be "fixed" (default), "mobile" or "fax". As part of the change, one can
  now use each of these multiple times, e.g. to display multiple mobile phone
  numbers.
- Deprecated \firstname and \familyname in favour of \name{<first>}{<last>}.
- Added a new mechanism to select amongs different possible icon sets:
  \moderncvicons{<iconsetname>}, where <iconsetname> can be "marvosym" (used by
  default in the banking, casual and classic styles) or "letters" (used by
  default in the oldstyle style). \moderncvicons should always be called after
  \moderncvstyle in order to override the styles' defaults.
- Added a command to control the font of the page numbering: \pagenumberfont, as
  requested by fr1a1nky (launchpad question #224496).
- Removed the use of the suffix package.

version 1.3.0 (09 Feb 2013)
- Added a new environment to create multiple columns: cvcolumns. Each column is
  then created by \cvcolumn[width]{header}{content}, where the optional width is
  given as a fraction of the total width (between 0 and 1). The header and
  content are robust and can contain any paragraph command (e.g., a nested
  itemize environment).
- Added a macro (\pdfpagemode) to control what is visible upon opening compiled
  PDFs (assuming PDF reader support), as suggested by U. Stöhr.
  Possible values include: "UseNone" (only the document), "UseThumbs" (show
  thumbnails), "UseOutlines" (show bookmarks) and "FullScreen" (open in
  fullscreen mode).
- Added a 3rd, fully optional (can be omitted or left blank) argument to
  \address to specify a country, as requested on launchpad (launchpad bug
  #1063995).
- Compacted list environments further.
- Replaced the use of the xargs package by the xparse one.

version 1.2.1 (04 Dec 2012)
- Fixed a regression bug introduced in v1.2.0 in the header of the banking style
  when no title is used, as reported on tex.stackexchange (question #85427).

version 1.2.0 (31 Oct 2012)
- Updated the banking style header to include the option to show a title.
- Set the values of \arrayrulewidth and \doublerulesep to their standard values
  (0.4pt and 2pt, respectively) to enable the drawing of rules in tabulars and
  arrays by default.
- Modified the code of \makecvtitle and \makelettertitle of the casual style to
  avoid it causing horizontal alignment issues before and after itself.
- Corrected a bug in \makelettertitle of most styles that displayed the current
  date (\today) instead of the date given through the \date command, as reported
  by B. Schlimmchen and S. Fnord.
- Removed the need to set pdfpagelabels=false when loading hyperref by putting
  \pagenumbering{arabic} (to define \thepage) before loading hyperref, as
  figured out by J. Wolf.
- Corrected the line wrapping of \cvlistitem of the banking style.
- Corrected a bug in \makecvtitle and \makelettertitle of the banking style.
- Removed an unwanted space in the footer of the casual style.
- Moved the font style definitions to moderncv.cls for better readability
  (moderncv.cls is meant to be a sort of header file, implementing only some
  macros shared by all styles and defining the macros that the style files need
  to implement).

version 1.1.3 (10 Aug 2012)
- Corrected a long-standing issue causing hyperref to issue two warnings about
  its "pdfpagelabels" option, as pointed out and solved by P. Leifeld (launchpad
  bug #1035466).

version 1.1.2 (09 Aug 2012)
- Fixed a regression bug introduced in v1.0.0 in the footer of the casual style,
  as discovered on tex.stackexchange (question #66316).

version 1.1.1 (30 Jul 2012)
- Fixed a compatibility issue introduced in v1.0.0 when \maketitlenamewidth was
  renamed to \makecvtitlenamewidth, as reported by Peppe on launchpad (launchpad
  bug #1030802). The template now correctly uses \makecvtitlenamewidth, and
  \maketitlenamewidth was created as an alias forbackward compatibility.

version 1.1.0 (29 Jul 2012)
- Fixed the switching from letter to resume, correcting spacing errors when a
  letter is typeset before the resume, as noticed by U. Gabor.
- Fixed the vertical alignment of the footers, as reported by T. Homa. Footers
  are now aligned to the bottom and the letter and CV footers are perfectly
  aligned in the casual style.
- Prepared moderncv for fontspec font loading (still commented out in code).
- Changed the handling of the "sans" and "roman" class options, to be reflected
  at the beginning of the document and override style font choices.
- Turned unicode support in hyperref on by default.
- Tweaked the use of \textbullet to avoid a fallback to Computer Modern fonts
  and prepared the use of symbols from the MarVoSym font for fontspec (LuaTeX or
  XeTeX).
- Tweaked the \subsectionfill of the banking style to distribute extra space
  evenly between leaders.
- Added two options to change the "Enclosure" string used for the letter
  enclosure: either specify another string as an optional argument to \enclosure
  or redefine \enclname, as suggested by D. Wille.

version 1.0.0 (26 Mar 2012)
- Added commands to generate letters for every resume style: \recipient, \date,
  \opening, \closing, \enclosure, \makelettertitle and \makeletterclosing. The
  old \maketitle and \makefooter commands are now deprecated and replaced by
  \makecvtitle and \makecvfooter.
- Changed the alignment algorithm for the personal data display in the oldstyle
  style, to align on the baseline of the first line with the surrounding text.

version 0.19.0 (06 Feb 2012)
- Reintroduced the ability to force the width reserved to display the name in
  the resume header for the classic style (\maketitlenamewidth).
- Improved the PDF metadata, as reported by S. Wunsch (launchpad bug #922476).
- Fixed a \footersymbol bug in the casual style when no mobile number was given,
  as reported by S. Wunsch (launchpad bug #922470).
- Fixed a display bug when an address was given without postcode/city, as
  reported by O. Shaneh (launchpad bug #670263).

version 0.18.0 (05 Feb 2012)
- Corrected the handling of PDF bookmarks, as suggested on stackexchange by
  U. Fischer.
- Improved the spacing between sections and subsections by using \addvspace
  instead of \vspace.
- Corrected the spacing between entries with nested itemize environments
  (temporary solution working only for single line items).
- Added a check in the oldstyle style for an empty 4th argument in the
  \cvdoubleitem definition to avoid printing a colon without a preceding label.
- Added a new style on top of classic, casual and oldstyle: banking.

version 0.17.0 (25 Jan 2012)
- Changed the footer algorithm of the casual style to avoid starting lines with
  the footer symbol.
- Aligned the space before and after the title across styles.
- Added an optional title to the casual style.
- Changed the definition of the font styles to avoid undesired extra spacing.
- Added a Spanish template, kindly provided by I. Buitrón.
- Corrected the vertical misalignment between the page number and the center
  footer in the casual style.

version 0.16.0 (15 Jan 2012)
- Added starred versions of \section and \subsection that are identical to their
  non-starred versions (e.g. to enable BibLaTeX support) as requested by
  S. Verberkt (launchpad bug #913102).
- Corrected a misalignment of the colored rule in front of the section titles in
  the classic and casual styles, as reported by P. Neidhardt (launchpad bug
  #915910).

version 0.15.1 (23 December 2011)
- Corrected a bug in the classic style causing the address font and color to not
  be carried over newlines, as reported by J. Smith.

version 0.15.0 (19 December 2011)
- Corrected list spacing.
- Corrected inconsistent use of sans serif fonts in roman layout option.
- The lmodern fonts are now automatically loaded only if they're installed on
  the system. The "nolmodern" option is now therefore obsolete.
- Completed code refactoring separating themes in separate styles and colors.
- Renamed \cvline to \cvitem, \cvlanguage to \cvitemwithcomment and \cvcomputer
  to \cvdoubleitem (the old command names still work and redirect to the new
  ones, but are deprecated).
- Removed the arbitrary minipage widths of skill proficiency vs comment in
  \cvitemwithcomments. The skill proficiency is now typeset exactly as given
  (i.e. one one line if no linebreaks are implicitly given) and the comment uses
  the remaining horizontal space.
- Changed the optional argument of \cvlistitem and \cvlistdoubleitem to specify
  the vertical skip after the item (as for \cvitem, \cvitemwithcomments, etc).
  The way to change the list symbol is to redefine \listitemsymbol.
- Added a new style on top of classic and casual: oldstyle.
- Loaded the microtype package to improve typography.

version 0.14.0 (04 December 2011)
- Added support for CJK, thanks to the help of P. D'Apice.
- The use of \recomputelengths after modifying any length in the preamble is now
  unnecessary; \recomputelength is automatically called at the start of the
  document.

version 0.13.1 (11 November 2011)
- Corrected a bug introduced by v0.13 in the classic style when no \photo is
  used, as reported by S. Gislais (launchpad bug #888702).

version 0.13.0 (06 November 2011)
- Added a "black" color option to render the resume in black & white, as
  suggested by F. Bicarri.
- Removed the pdflatex option when loading hyperref to enable other engines
  (e.g., dvips, XeTeX), leftover from the v0.11 cleanup, as reported by
  K. Amaterasu and P. Mavrogiorgos (launchpad bugs #754693 and #859834).
- Added a "purple" color option, as proposed by B. Ravel.
- Added a 3rd optional argument to the \photo command to control the thickness
  of the framebox. Setting it to 0pt will disable the frame around the photo, as
  requested by T. Krennwallner (launchpad bug #664568).

version 0.12.0 (03 August 2010)
- Prevented pagebreaks after sections and subsections (launchpad bug #409902),
  as originally reported by C. Gaspoz and fixed by launchpad user tentotwo.

version 0.11.0 (20 July 2010)
- Removed the \ifpdf check when loading the graphicx package, as graphicx
  already does this check internally. This was preventing proper functioning
  with XeTeX and LuaTeX, as reported by A. Trautmann. The same check was also
  removed everywhere else in the document (i.e. when loading the color and
  hyperref packages).

version 0.10.0 (13 June 2010)
- Fixed a compatibility issue with the natbib package (natbib uses \section* to
  format the bibliography title, while only \section was defined by moderncv),
  as reported on launchpad (launchpad bug #393920).
- Fixed compatibility issues with (any package relying on) the etoolbox package,
  due to the double definition of \AtEndPreamble, as reported by D. Becker.

version 0.9.0 (31 May 2010)
- Added support for the itemize, enumerate and description environments.

version 0.8.0 (24 May 2010)
- Added support for multibib. Also modified the template to illustrate how to
  show labels in the bibliography, as requested by Tom D. R. and Stefan K.
- Added a command to indicate your personal homepage (\homepage{url}), as
  requested by J. de Jong and A. Pairet.
- Corrected an alignment bug for text following a \quote with no immediate
  \section, as kindly reported by J. Vermeulen and L. Saliou.
- Corrected a spacing bug when no blank line (or \par) is left after \maketitle.
  Thanks to A. Menzel for reporting the strange behaviour.
- Corrected the alignment of the \extrainfo title part when no picture was used,
  as reported by M. Bana.
- Corrected the misplacement of PDF bookmarks as noticed by L. Fortunato.
- Corrected several bugs linked to the code for checking for empty arguments in
  \cventry, as reported by B. Ekran (launchpad bug #268768), L. Păncescu and
  E. Gregorio.

version 0.7.0 (17 June 2008)
- Corrected an outstanding spacing bug where the space between cvlines was
  longer than 1 line.
- Removed the need to use \closesection and \emptysection as internal tabulars
  are now always closed. This allows the use of bibliography packages such as
  bibunits. Thanks to S. Busch for pointing out the incompatibility and helping
  test out the bug correction.
- Changed the definition of \photo: the first (optional) argument should give
  the desired width of the picture, instead of its height
- Corrected an alignment bug for \cvlistitems longer than 1 line, as reported by
  S. Nikolopoulos.
- Deprecated the commands \sethintscolumnlength and \sethintscolumntowidth.
  Instead, just set \hintscolumnwidth to the desired length by using the regular
  \setlength or \settowidth commands, and call \recomputelengths.
- Added the ability to control the width of the name placeholder in the classic
  theme, by setting the length \maketitlenamewidth. Again, don't forget to call
  \recomputelengths afterward.

version 0.6.0 (28 May 2007)
- Corrected some spacing bugs and cleaned up the code.
- Corrected a bug in the bibliography file of the examples spotted by U. Stöhr.
- Added color variants to the classic and casual styles, as suggested by
  U. Stöhr.
- Added a page counter for resumes running longer than 1 page, as requested by
  A. Martin. It can be disabled by the command \nopagenumbers{}.
- Added commands to include a mobile phone and fax number.
- Made the symbols used for the phone number, the email etc. customizable. To
  modify those symbols, just redefine \phonesymbol, \emailsymbol etc.
- Corrected the PDF information given to hyperref as pointed out by C. Knuepfer.
- Rewrote the examples.

version 0.5.0 (9 September 2006)
- Added a \photo command to display a picture. This command takes the name of
  the file with the picture as a required argument and the desired height as an
  optional argument.
- Implemented the needed commands to make moderncv compatible with BibTeX, as
  suggested by J. Lie. This makes it possible to display one's publications,
  stored in the BibTeX file "publications.bib" by using:
    \nocite{*}
    \bibliographystyle{plain}
    \bibliography{publications}
  As usual, the name of the section title can be changed by redefining \refname.
- Added the \today command, useful for example if one needs to add the date the
  resume was produced with:
    \closesection{}
    \vfill{\hfill{\scriptsize Produced \today.}}
  at the end of your CV, as suggested by F. Hammann.

version 0.4.0 (2 May 2006)
- Removed the dependency on the geometry package so that users can now invoke it
  themselves and easily change the geometry of the page.

version 0.3.0 (10 April 2006)
- Moderncv now uses the longtable class, allowing CV sections to split across
  multiple pages.
- The different lengths used by moderncv are now customizable! In particular,
  the first column (the one containing the date in the examples) can now be set
  to any width, for people needing a smaller or larger one. To do that, either
  use
    \sethintscolumnlength{<length>},
  where <length> is the desired length in a unit LaTeX understands, or
    \sethintscolumntowidth{<string>},
  where <string> is a string of the desired length (usually, the longest string
  that has to appear in the column). Thanks to A. Pöge for pointing out the need
  of such a feature.
- Added the command \emptysection{}, which makes it possible to start an unnamed
  section. In combination with \closesection{}, this makes it possible to drop
  out of the layout of moderncv, and come back to it later. This should make the
  inclusion of arbitrary elements not covered by moderncv code possible.
- Corrected a spacing problem in the \cventry command, as pointed out and solved
  by B. Eßmann.

version 0.2.0 (6 March 2006)
- Rewrite of the code to have the styles (fonts, colours, headers and footers)
  be defined in different files than the class. The styles are now defined in a
  separate file per style, named moderncvstyle<style_name>. It should now be
  easy to write your own style, starting from moderncvstyleempty.sty. If you
  feel you have created a nice style, just email it to me and I'll include it in
  the next version.
- Due to the previous point, styles are now loaded by the command
  \moderncvstyle{style_name}. I couldn't figure out a way to preserve the old
  "casual" and "classic" class options, so these are now broken! Use
  \moderncvstyle{casual} or \moderncvstyle{classic} at the beginning of your
  document. This should be the only incompatibility with v0.1.
- Added class option "nolmodern" for people without the Latin Modern fonts.
- Corrected some English mistakes in the examples. Thanks to M. H. Prager for
  pointing them out.
- Added a \cvlistitem to produce items with a bullet (or whatever is defined in
  \listitemsymbol), and renamed \cvresume to \cvlistdoubleitem for consistency
  purposes. For compatibility reasons, the command \cvresume still works, but
  should be avoided.

version 0.1.0 (1 March 2006)
- First release.
